using System;

namespace Stat.web.Manager
{
    /// <summary>
    /// 
    /// </summary>
    public partial class ShowError : System.Web.UI.Page
    {
        Model.Log logModel = new Stat.Model.Log();
        Model.PageInfo pageModel = new Stat.Model.PageInfo(20);
        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                pageModel.PageIndex = Plugin.Common.Rq_Int("page");
                pageModel.PageIndex = pageModel.PageIndex < 1 ? 1 : pageModel.PageIndex;
                GetLog();
            }
        }
        void GetLog()
        {
            logModel.Type = 3;
            this.gvList.DataSource = BLL.Log.Get(logModel, ref pageModel);
            this.gvList.DataBind();
            this.ltrPageIndex.Text += JPageIndex.GetIndex.Get(pageModel.RecordCount, pageModel.PageIndex, pageModel.PageSize, "", 1, 0, 1, 7);

            this.ltrPageIndex.Text += "<br><hr style=\" width:98%; text-align:center;\" /><br>";
        }
    }
}
